For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API Reference

Custom Groups

|View as Markdown|Open in Claude|
Was this page helpful?
Previous

Remove participants from a participant group

Next

Study Distribution

Custom groups are pre-defined, Prolific-curated sets of participants that can be used as filters in your studies.

To use custom groups in your studies:

1

Get available custom groups using the filters endpoint:

GET /api/v1/filters/?filter_tag=custom-group
2

To check the number of participants in the custom group,please go here:

3

Use the custom group in your study:

{
"filters": [
{
"filter_id": "javascript",
"selected_values": ["0"]
}
],
}